org.optaplanner.core.impl.score.stream.drools.uni

## Class DroolsUniToQuadGroupByAccumulator<A,NewA,NewB,NewC,NewD>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractGroupByAccumulator<A>
  - - org.optaplanner.core.impl.score.stream.drools.uni.DroolsUniToQuadGroupByAccumulator<A,NewA,NewB,NewC,NewD>

- All Implemented Interfaces:
    org.drools.core.spi.Accumulator, org.drools.core.spi.Invoker, org.drools.core.spi.RuleComponent

      public class DroolsUniToQuadGroupByAccumulator<A,NewA,NewB,NewC,NewD>
      extends DroolsAbstractGroupByAccumulator<A>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.drools.core.spi.Accumulator

      `org.drools.core.spi.Accumulator.SafeAccumulator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DroolsUniToQuadGroupByAccumulator(Function<A,NewA> groupKeyAMapping, Function<A,NewB> groupKeyBMapping, UniConstraintCollector<A,?,NewC> collectorC, UniConstraintCollector<A,?,NewD> collectorD, org.drools.model.Variable<A> aVariable)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected <X> A` | `createInput(Function<org.drools.model.Variable<X>,X> valueFinder)`
    `protected DroolsAbstractGroupBy<A,?>` | `newContext()`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractGroupByAccumulator

      `accumulate, createContext, createWorkingMemoryContext, getResult, getValue, init, materialize, supportsReverse, tryReverse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.spi.Accumulator

      `isCompiledInvoker`

- - ### Constructor Detail

    - #### DroolsUniToQuadGroupByAccumulator

          public DroolsUniToQuadGroupByAccumulator(Function<A,NewA> groupKeyAMapping,
                                                   Function<A,NewB> groupKeyBMapping,
                                                   UniConstraintCollector<A,?,NewC> collectorC,
                                                   UniConstraintCollector<A,?,NewD> collectorD,
                                                   org.drools.model.Variable<A> aVariable)

  - ### Method Detail

    - #### newContext

          protected DroolsAbstractGroupBy<A,?> newContext()

      Specified by:
        `newContext` in class `DroolsAbstractGroupByAccumulator<A>`

    - #### createInput

          protected <X> A createInput(Function<org.drools.model.Variable<X>,X> valueFinder)

      Specified by:
        `createInput` in class `DroolsAbstractGroupByAccumulator<A>`

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.